server:
  port: 8090
spring:
  security:
    oauth2:
      client:
        registration:
          custom-client-oidc:
            provider: spring
            client-id: custom-client-oidc
            client-secret: secret1
            authorization-grant-type: authorization_code
            redirect-uri: "{baseUrl}/login/oauth2/code/{registrationId}"
            scope: openid
            client-name: custom-client-oidc
          custom-client-authorization-code:
            provider: spring
            client-id: custom-client-authorization-code
            client-secret: secret2
            authorization-grant-type: authorization_code
            redirect-uri: "{baseUrl}/authorized"
            scope: access.read
            client-name: custom-client-authorization-code
        provider:
          spring:
            issuer-uri: http://127.0.0.1:9000
      resourceserver:
        jwt:
          issuer-uri: http://127.0.0.1:9000